Sources
curl --request GET \
--url https://api.messari.io/news/v1/news/sources \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/news/v1/news/sources"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/news/v1/news/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "5e683dea-b9a8-4b64-aaab-1bca03be61d5",
"sourceName": "0 Knowledge Network Blog",
"sourceType": "Blog"
},
{
"id": "a087e922-78b9-4161-a52f-3ce3ce4e2653",
"sourceName": "0VIX Protocol Blog",
"sourceType": "Blog"
},
{
"id": "fcbb2749-f2b5-4e9f-aeda-9267090e2c1f",
"sourceName": "0x0.ai: AI Smart Contract Blog",
"sourceType": "Blog"
},
{
"id": "9e7f4674-3833-4b29-851b-3974447dda9b",
"sourceName": "0xAISwap Blog",
"sourceType": "Blog"
},
{
"id": "0a88b875-1938-48e7-b24b-82789e01c80d",
"sourceName": "0xBitcoin Foundation Blog",
"sourceType": "Blog"
}
],
"metadata": {
"limit": 10,
"page": 1,
"totalRows": 11158,
"totalPages": 1116
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}News
Get News Sources
Get News Sources
GET
/
news
/
v1
/
news
/
sources
Sources
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
A case-sensitive text to search by source name, i.e. CoinDesk. If provided, the results will be filtered by this text.
Example:
"CoinDesk"
List of source types to filter by. If provided, the results will be filtered by these source types: Blog,Forum,News
Available options:
Blog, Forum, News Example:
["News"]Number of results per page
Page number
⌘I

